import {useEffect, useState} from 'react';
import S3 from 'aws-sdk/clients/s3';
import useSettings from './useSettings';

const useS3 = () => {
	const [
		loaded,
		_save,
		awsKeyId,
		_setAwsKeyId,
		awsSecretAccessKey,
		_setAwsSecretAccessKey,
	] = useSettings();
	const [s3, setS3] = useState(null);

	useEffect(() => {
		if (loaded && !s3) {
			setS3(
				new S3({
					apiVersion: '2006-03-01',
					region: 'eu-west-1',
					credentials: {
						accessKeyId: awsKeyId,
						secretAccessKey: awsSecretAccessKey,
					},
				}),
			);
		}
	}, [loaded]);

	return s3;
};

export default useS3;
